# Generated from twiddler-utils-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name twiddler-utils

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Utils for working with Twiddler configs
License: MIT
URL: http://twiddler-utils.rubyforge.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rake-rubygems) >= 0.2.0
# BuildRequires: rubygem(hanna) >= 0.1.0
# BuildRequires: rubygem(hanna) < 0.2
# BuildRequires: rubygem(mailfactory) >= 1.4.0
# BuildRequires: rubygem(mailfactory) < 1.5
# BuildRequires: rubygem(rspec) >= 2.0
# BuildRequires: rubygem(rcov)
BuildArch: noarch

%description
Some tools for working with config files for the Twiddler2 chording
keyboard.
If you don't have a Twiddler, you probably don't care.
twid-utils cheatsheet <config>.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/twid-utils
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/doc
%{gem_instdir}/spec_help

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.3-1
- Initial package
